### Method

# Ide DeviceManager create_runner_async

#### Declaration

    void
    ide_device_manager_create_runner_async (
      IdeDeviceManager* self,
      IdePipeline* pipeline,
      GCancellable* cancellable,
      GAsyncReadyCallback callback,
      gpointer user_data
    )

#### Description

Requests an `IdeRunner` that runs on the current device, if a runner other than the default is required.

Available since: | 41

#### Parameters

`pipeline` | `IdePipeline`
| An `IdePipeline`.
| The data is owned by the caller of the function.
`cancellable` | `GCancellable`
| A `GCancellable`, or `NULL`.
| The argument can be `NULL`.
| The data is owned by the caller of the function.
`callback` | `GAsyncReadyCallback`
| A `GAsyncReadyCallback`.
| The argument can be `NULL`.
`user_data` | `gpointer`
| Closure data for `callback`.
| The argument can be `NULL`.
| The data is owned by the caller of the function.